[**@rxap/tree v19.0.2**](README.md)

***

# @rxap/tree v19.0.2

## Classes

- [DefaultTreeApplyFilterMethod](classes/DefaultTreeApplyFilterMethod.md)
- [SearchForm](classes/SearchForm.md)
- [TreeComponent](classes/TreeComponent.md)
- [TreeContentDirective](classes/TreeContentDirective.md)
- [TreeDataSource](classes/TreeDataSource.md)

## Interfaces

- [ISearchForm](interfaces/ISearchForm.md)
- [TreeApplyFilterParameter](interfaces/TreeApplyFilterParameter.md)
- [TreeDataSourceMetadata](interfaces/TreeDataSourceMetadata.md)

## Variables

- [RXAP\_TREE\_CONTENT\_EDITABLE\_METHOD](variables/RXAP_TREE_CONTENT_EDITABLE_METHOD.md)
- [RXAP\_TREE\_DATA\_SOURCE\_APPLY\_FILTER\_METHOD](variables/RXAP_TREE_DATA_SOURCE_APPLY_FILTER_METHOD.md)
- [RXAP\_TREE\_DATA\_SOURCE\_CHILDREN\_REMOTE\_METHOD](variables/RXAP_TREE_DATA_SOURCE_CHILDREN_REMOTE_METHOD.md)
- [RXAP\_TREE\_DATA\_SOURCE\_ROOT\_REMOTE\_METHOD](variables/RXAP_TREE_DATA_SOURCE_ROOT_REMOTE_METHOD.md)
- [SearchFormProviders](variables/SearchFormProviders.md)

## Functions

- [flatTree](functions/flatTree.md)
- [FormFactory](functions/FormFactory.md)
- [isSelectionChange](functions/isSelectionChange.md)
